cURL
curl --request POST \
--url https://api.fluents.ai/v1/simulation/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bot_agent_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_agent_id": "550e8400-e29b-41d4-a716-446655440000",
"num_turns": 10,
"context": {
"key": "value"
}
}
'import requests
url = "https://api.fluents.ai/v1/simulation/run"
payload = {
"bot_agent_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_agent_id": "550e8400-e29b-41d4-a716-446655440000",
"num_turns": 10,
"context": { "key": "value" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bot_agent_id: '550e8400-e29b-41d4-a716-446655440000',
customer_agent_id: '550e8400-e29b-41d4-a716-446655440000',
num_turns: 10,
context: {key: 'value'}
})
};
fetch('https://api.fluents.ai/v1/simulation/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Simulation
Run simulation
POST
/
v1
/
simulation
/
run
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
The response is of type object.
Was this page helpful?
⌘I

